# Gambio Dragger
Dragger aims to be a toolbox for the gambio shop system.

## Changelog
Please see [CHANGELOG](./CHANGELOG.md) for more information on what has changed recently.

## Usage
At the moment, dragger supports the testing of GET/POST/PUT/DELETE request methods. Also, only system that depends on
mysql can be used with dragger.

Support for PATCH request may follow soon.

### Concept
The idea behind dragger's API-Testing toolset is to provide a way of testing the api endpoints and additionally ensure
that the documentation match. I personally like to call this approach "Documentation Driven Development"
(DocDD, not DDD).

### Setup
The abstract test case classes contain the two abstract methods "::requestConfiguration" and "::definitionsPath". 
This information is required to execute the tests for the API, but usually never changes after setup once.
It is recommended to create an own abstract class that contains implementations for both methods and use it in your
project.  
Request configuration contains the base url and authentication data. That is needed to perform curl request again the
expected endpoints.  
The definitions path links to a directory that contains all definitions for referenced api models.  
All abstract TestCase classes provide ::assert[] methods related to the request to be tested.

### Introduction

The whole API testing framework extends PHPUnit and provides several components that are used to verify requests.
There is an abstract test case class for each request method (GET/POST/PUT/DELETE). The test should extend one of those
test case classes.
There should be a test method for every documentation file. Additionally, the abstract test cases provides an dedicated
::assert… method to verify their results.

- [GET](./docs/get/README.md)
- [POST](./docs/post/README.md)
- [PUT](./docs/put/README.md)
- [DELETE](./docs/delete/README.md)
