# GET Request Testing

## Introduction

Use [Gambio\Dragger\Domain\Testing\Api\TestCase\GetTestCase](../../src/Domain/Testing/Api/TestCase/GetTestCase.php) for get
endpoints.  
The method ::assertResponsesMatchesSchema just needs a TestConfiguration object to execute the test and verify the
responded data by using the documentations schema.

### Example

```php
class MyGetTest extends GetTestCase
{
    public function testCategoryEntityEndpointMatchesSchema() : void
    {
        $sutFile         = __DIR__ . '/../../../docs/REST/swagger/api/categories/get_categories_(id).yml';
        $urlPlaceholders = ['category_id' => 2];
        
        $testConf = $this->createTestConfiguration($sutFile, $urlPlaceholders);
        $this->assertResponsesMatchesSchema($testConf);
    }
    
    public function testCategoriesListingEndpointMatchesSchema() : void
    {
        $sutFile         = __DIR__ . '/../../../docs/REST/swagger/api/categories/get_categories.yml';
        
        $testConf = $this->createTestConfiguration($sutFile, []);
        $this->assertResponsesMatchesSchema($testConf);
    }
}
```
