<?php
/* --------------------------------------------------------------
 Path.php 2019-06-13
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2019 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

declare(strict_types=1);

namespace Gambio\Dragger\Domain\Commands\Sql;

use InvalidArgumentException;
use Webmozart\Assert\Assert;

/**
 * Class Path
 * @package Gambio\Dragger\Domain\Commands\Sql
 */
class Path
{
    /**
     * @var string
     */
    private $path;
    
    
    /**
     * Path constructor.
     *
     * @param string $path
     *
     * @throws InvalidArgumentException If path not exists or is not a directory.
     */
    private function __construct(string $path)
    {
        Assert::directory($path);
        $this->path = $path;
    }
    
    
    /**
     * Factory method of Path.
     *
     * @param string $path
     *
     * @return Path
     * @throws InvalidArgumentException If path not exists or is not a directory.
     */
    public static function fromString(string $path) : self
    {
        return new static($path);
    }
    
    
    /**
     * @return string
     */
    public function toString() : string
    {
        return $this->path;
    }
}