<?php
/* --------------------------------------------------------------
 SqlFile.php 2019-06-13
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2019 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

declare(strict_types=1);

namespace Gambio\Dragger\Domain\Commands\Sql;

use Webmozart\Assert\Assert;

/**
 * Class SqlFile
 * @package Gambio\Dragger\Domain\Commands\Sql
 */
class SqlFile
{
    /**
     * @var string
     */
    private $path;
    
    
    /**
     * SqlFile constructor.
     *
     * @param string $path
     */
    private function __construct(string $path)
    {
        Assert::fileExists($path);
        Assert::endsWith($path, '.sql', 'Sql file extension required.');
        
        $this->path = $path;
    }
    
    
    /**
     * Factory method for sql file.
     *
     * @param string $path
     *
     * @return SqlFile
     */
    public static function fromPath(string $path) : self
    {
        return new static($path);
    }
    
    
    /**
     * @return string
     */
    public function toString() : string
    {
        return $this->path;
    }
}