<?php
/* --------------------------------------------------------------
 SqlFileFactory.php 2019-06-13
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2019 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

declare(strict_types=1);

namespace Gambio\Dragger\Domain\Commands\Sql;

/**
 * Class SqlFileFactory
 * @package Gambio\Dragger\Domain\Commands\Sql
 */
class SqlFileFactory
{
    /**
     * Creates a sql file object.
     *
     * @param string $path
     *
     * @return SqlFile
     */
    public function createSqlFile(string $path) : SqlFile
    {
        return SqlFile::fromPath($path);
    }
    
    
    /**
     * Creates a sql file collection object.
     *
     * @return SqlFileCollection
     */
    public function createSqlFileCollection() : SqlFileCollection
    {
        return SqlFileCollection::create();
    }
}