<?php
/* --------------------------------------------------------------
 DbFixtureRepository.php 2019-06-07
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2019 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

declare(strict_types=1);

namespace Gambio\Dragger\Domain\DbFixture;

/**
 * Interface DbFixtureRepository
 * @package Gambio\Dragger\Domain\DbFixture
 */
interface DbFixtureRepository
{
    /**
     * Creates a database fixture of the given tables.
     *
     * @param Tables $tables Tables of created database fixture.
     *
     * @return NewFixture
     */
    public function create(Tables $tables) : NewFixture;
    
    
    /**
     * Saves the given fixture to destination.
     *
     * @param NewFixture  $fixture
     * @param Destination $destination
     */
    public function save(NewFixture $fixture, Destination $destination) : void;
    
    
    /**
     * Imports the given fixture file.
     *
     * @param Fixture $fixture
     *
     * @return mixed
     */
    public function import(Fixture $fixture) : void;
}