<?php
/* --------------------------------------------------------------
 CustomersQuery.php 2019-06-19
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2019 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

declare(strict_types=1);

namespace Gambio\Dragger\Domain\GxInstaller\Steps\CreateAccount;

/**
 * Class CustomersQuery
 * @package Gambio\Dragger\Domain\GxInstaller\Steps\CreateAccount
 */
class CustomersQuery
{
    /**
     * Gambio installer query.
     *
     * @return string
     */
    public static function query() : string
    {
        return <<<'QUERY'
INSERT INTO
    `customers`
(`customers_id`, `customers_status`, `customers_firstname`, `customers_lastname`, `customers_gender`, `customers_email_address`, `customers_default_address_id`, `customers_telephone`, `customers_password`, `delete_user`)
VALUES
('1', '0', :firstName, :lastName, :gender, :emailAddress, '1', :phone, :pw, '0');
QUERY;
    }
    
    
    /**
     * Creates params for prepared statement.
     *
     * @param CreateAccountData $data
     *
     * @return array
     */
    public static function params(CreateAccountData $data) : array
    {
        return [
            'firstName'    => $data->firstName(),
            'lastName'     => $data->lastName(),
            'gender'       => $data->gender(),
            'emailAddress' => $data->email(),
            'phone'        => $data->phone(),
            'pw'           => $data->pw(),
        ];
    }
}