<?php
/* --------------------------------------------------------------
 Queries.php 2019-06-19
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2019 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

declare(strict_types=1);

namespace Gambio\Dragger\Domain\GxInstaller\Steps\SetupShop;

/**
 * Class Queries
 * @package Gambio\Dragger\Domain\GxInstaller\Steps\SetupShop
 */
class Queries
{
    /**
     * Gambio installer query.
     *
     * @return string
     */
    public static function gmContents() : string
    {
        return <<<'QUERY'
REPLACE INTO gm_contents SET languages_id = 2, gm_key = 'GM_FOOTER', gm_value = '<a href="https://www.gambio.de" target="_blank">Webshop erstellen</a> mit Gambio.de &copy; 2019';

REPLACE INTO gm_contents SET languages_id = 1, gm_key = 'GM_FOOTER', gm_value = '<a href="https://www.gambio.com" target="_blank">Shopping Cart Solution</a> by Gambio.com &copy; 2019';

REPLACE INTO gm_configuration SET gm_key = 'GM_FOOTER', gm_value = '<a href="https://www.gambio.com" target="_blank">Shopping Cart Solution</a> by Gambio.com &copy; 2019';
QUERY;
    }
    
    
    /**
     * Gambio installer query.
     *
     * @return string
     */
    public static function customersStatus() : string
    {
        return <<<'QUERY'
INSERT INTO `customers_status` (`customers_status_id`, `language_id`, `customers_status_name`, `customers_status_public`, `customers_status_image`, `customers_status_discount`, `customers_status_ot_discount_flag`, `customers_status_ot_discount`, `customers_status_graduated_prices`, `customers_status_show_price`, `customers_status_show_price_tax`, `customers_status_add_tax_ot`) VALUES ('0', '1', 'Admin', 0, 'admin_status.gif', '0.00', '1', '0.00', '1', '1', '1', '1');
INSERT INTO `customers_status` (`customers_status_id`, `language_id`, `customers_status_name`, `customers_status_public`, `customers_status_image`, `customers_status_discount`, `customers_status_ot_discount_flag`, `customers_status_ot_discount`, `customers_status_graduated_prices`, `customers_status_show_price`, `customers_status_show_price_tax`, `customers_status_add_tax_ot`) VALUES ('0', '2', 'Admin', 0, 'admin_status.gif', '0.00', '1', '0.00', '1', '1', '1', '1');
INSERT INTO `customers_status` (`customers_status_id`, `language_id`, `customers_status_name`, `customers_status_public`, `customers_status_image`, `customers_status_discount`, `customers_status_ot_discount_flag`, `customers_status_ot_discount`, `customers_status_graduated_prices`, `customers_status_show_price`, `customers_status_show_price_tax`, `customers_status_write_reviews`, `customers_status_add_tax_ot`) VALUES (1, 1, 'Guest', 0, 'guest_status.gif', '0.00', '0', '0.00', '1', '1', '1', '0', '1');
INSERT INTO `customers_status` (`customers_status_id`, `language_id`, `customers_status_name`, `customers_status_public`, `customers_status_image`, `customers_status_discount`, `customers_status_ot_discount_flag`, `customers_status_ot_discount`, `customers_status_graduated_prices`, `customers_status_show_price`, `customers_status_show_price_tax`, `customers_status_write_reviews`, `customers_status_add_tax_ot`) VALUES (1, 2, 'Gast', 0, 'guest_status.gif', '0.00', '0', '0.00', '1', '1', '1', '0', '1');
INSERT INTO `customers_status` (`customers_status_id`, `language_id`, `customers_status_name`, `customers_status_public`, `customers_status_image`, `customers_status_discount`, `customers_status_ot_discount_flag`, `customers_status_ot_discount`, `customers_status_graduated_prices`, `customers_status_show_price`, `customers_status_show_price_tax`, `customers_status_add_tax_ot`) VALUES (2, 1, 'New customer', 0, 'customer_status.gif', '0.00', '0', '0.00', '1', '1', '1', '1');
INSERT INTO `customers_status` (`customers_status_id`, `language_id`, `customers_status_name`, `customers_status_public`, `customers_status_image`, `customers_status_discount`, `customers_status_ot_discount_flag`, `customers_status_ot_discount`, `customers_status_graduated_prices`, `customers_status_show_price`, `customers_status_show_price_tax`, `customers_status_add_tax_ot`) VALUES (2, 2, 'Neuer Kunde', 0, 'customer_status.gif', '0.00', '0', '0.00', '1', '1', '1', '1');
INSERT INTO `customers_status` (`customers_status_id`, `language_id`, `customers_status_name`, `customers_status_public`, `customers_status_image`, `customers_status_discount`, `customers_status_ot_discount_flag`, `customers_status_ot_discount`, `customers_status_graduated_prices`, `customers_status_show_price`, `customers_status_show_price_tax`, `customers_status_add_tax_ot`) VALUES (3, 1, 'Merchant', 0, 'merchant_status.gif', '0.00', '0', '0.00', '1', 1, 0, '1');
INSERT INTO `customers_status` (`customers_status_id`, `language_id`, `customers_status_name`, `customers_status_public`, `customers_status_image`, `customers_status_discount`, `customers_status_ot_discount_flag`, `customers_status_ot_discount`, `customers_status_graduated_prices`, `customers_status_show_price`, `customers_status_show_price_tax`, `customers_status_add_tax_ot`) VALUES (3, 2, 'Händler', 0, 'merchant_status.gif', '0.00', '0', '0.00', '1', 1, 0, '1');
QUERY;
    }
    
    
    /**
     * Gambio installer query.
     *
     * @return string
     */
    public static function personalOffers() : string
    {
        return <<<'QUERY'
CREATE TABLE `personal_offers_by_customers_status_0` (
						  `price_id` int(11) NOT NULL AUTO_INCREMENT,
						  `products_id` int(11) NOT NULL DEFAULT '0',
						  `quantity` decimal(15,4) DEFAULT NULL,
						  `personal_offer` decimal(15,4) DEFAULT NULL,
						  PRIMARY KEY (`price_id`),
						  UNIQUE KEY `unique_offer` (`products_id`,`quantity`)
						) ENGINE=InnoDB DEFAULT CHARSET=`utf8`;

CREATE TABLE `personal_offers_by_customers_status_1` (
						  `price_id` int(11) NOT NULL AUTO_INCREMENT,
						  `products_id` int(11) NOT NULL DEFAULT '0',
						  `quantity` decimal(15,4) DEFAULT NULL,
						  `personal_offer` decimal(15,4) DEFAULT NULL,
						  PRIMARY KEY (`price_id`),
						  UNIQUE KEY `unique_offer` (`products_id`,`quantity`)
						) ENGINE=InnoDB DEFAULT CHARSET=`utf8`;

CREATE TABLE `personal_offers_by_customers_status_2` (
						  `price_id` int(11) NOT NULL AUTO_INCREMENT,
						  `products_id` int(11) NOT NULL DEFAULT '0',
						  `quantity` decimal(15,4) DEFAULT NULL,
						  `personal_offer` decimal(15,4) DEFAULT NULL,
						  PRIMARY KEY (`price_id`),
						  UNIQUE KEY `unique_offer` (`products_id`,`quantity`)
						) ENGINE=InnoDB DEFAULT CHARSET=`utf8`;

CREATE TABLE `personal_offers_by_customers_status_3` (
						  `price_id` int(11) NOT NULL AUTO_INCREMENT,
						  `products_id` int(11) NOT NULL DEFAULT '0',
						  `quantity` decimal(15,4) DEFAULT NULL,
						  `personal_offer` decimal(15,4) DEFAULT NULL,
						  PRIMARY KEY (`price_id`),
						  UNIQUE KEY `unique_offer` (`products_id`,`quantity`)
						) ENGINE=InnoDB DEFAULT CHARSET=`utf8`;
QUERY;
    }
    
    
    /**
     * Gambio installer query.
     *
     * @return string
     */
    public static function fulltext() : string
    {
        return <<<'QUERY'
ALTER TABLE `categories_index` ADD FULLTEXT KEY `categories_index` (`categories_index`);
ALTER TABLE `feature_index` ADD FULLTEXT KEY `feature_value_index` (`feature_value_index`);
ALTER TABLE `products_attributes` ADD FULLTEXT KEY `attributes_model` (`attributes_model`);
ALTER TABLE `products_description` ADD FULLTEXT KEY `products_name_2` (`products_name`);
ALTER TABLE `products_description` ADD FULLTEXT KEY `products_description` (`products_description`);
ALTER TABLE `products_description` ADD FULLTEXT KEY `products_short_description` (`products_short_description`);
ALTER TABLE `products_options_values` ADD FULLTEXT KEY `products_options_values_name_2` (`products_options_values_name`);
QUERY;
    }
    
    
    /**
     * Gambio installer query.
     *
     * @return string
     */
    public static function finalize() : string
    {
        return <<<'QUERY'
INSERT INTO `version_history` SET
    `version` = '3.13.1.0',
    `name` = 'v3.13.1.0',
    `type` = 'service_pack',
    `revision` = 0,
    `is_full_version` = 1,
    `installation_date` = NOW(),
    `php_version` = '7.1.30-1+ubuntu19.04.1+deb.sury.org+1',
    `mysql_version` = VERSION();

INSERT INTO `gm_configuration` SET
    `gm_key` = 'INSTALLED_VERSION',
    `gm_value` = '3.13_develop';
QUERY;
    }
}