<?php
/* --------------------------------------------------------------
 DeleteValidationStrategy.php 2019-08-28
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2019 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

declare(strict_types=1);

namespace Gambio\Dragger\Domain\Testing\Api\Contracts\Verification;

use Gambio\Dragger\Domain\Testing\Api\Verification\Delete\Expect;

/**
 * Interface DeleteValidationStrategy
 * @package Gambio\Dragger\Domain\Testing\Api\Contracts\Verification
 */
interface DeleteValidationStrategy
{
    /**
     * Validates the internal data.
     *
     * @param Expect[] $expectations
     *
     * @return bool
     */
    public function validate(Expect ...$expectations) : bool;
    
    
    /**
     * Setup for validation (pre-request).
     * Should be used for example to count data sets before the request happen.
     *
     * @param Expect[] $expectations
     */
    public function setup(Expect ...$expectations) : void;
    
    
    /**
     * @return string
     */
    public function failures() : string;
}