<?php
/* --------------------------------------------------------------
 SimpleFailure.php 2019-08-14
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2019 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

declare(strict_types=1);

namespace Gambio\Dragger\Domain\Testing\Api\Failure;

use Gambio\Dragger\Domain\Testing\Api\Model\Contracts\Failure;

/**
 * Class SimpleFailure
 * @package Gambio\Dragger\Domain\Testing\Api\Validator\Failure
 */
class SimpleFailure implements Failure
{
    /**
     * @var string
     */
    private $message;
    
    
    /**
     * SimpleFailure constructor.
     *
     * @param string $message
     */
    private function __construct(string $message)
    {
        $this->message = $message;
    }
    
    
    /**
     * Factory method for SimpleFailure.
     *
     * @param string $message
     *
     * @return SimpleFailure
     */
    public static function create(string $message) : self
    {
        return new static($message);
    }
    
    
    /**
     * @return string
     */
    public function toString() : string
    {
        return $this->message;
    }
}