<?php
/* --------------------------------------------------------------
 Parameter.php 2019-07-03
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2019 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

declare(strict_types=1);

namespace Gambio\Dragger\Domain\Testing\Api\Model\Contracts;

/**
 * Interface Parameter
 *
 * @package Gambio\Dragger\Domain\Testing\Api\Model\Contracts
 */
interface Parameter
{
    /**
     * Returns name of parameter.
     *
     * @return string
     */
    public function name() : string;
    
    
    /**
     * Returns parameter location.
     *
     * @return string
     */
    public function in() : string;
    
    
    /**
     * Flag to determine if parameter is required.
     *
     * @return bool
     */
    public function required() : bool;
    
    
    /**
     * Flag to determine if parameter is list.
     *
     * @return bool
     */
    public function isList() : bool;
}