<?php
/* --------------------------------------------------------------
 Property.php 2019-07-02
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2019 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

declare(strict_types=1);

namespace Gambio\Dragger\Domain\Testing\Api\Model\Contracts;

/**
 * Interface Property
 *
 * @package Gambio\Dragger\Domain\Testing\Api\Model\Contracts
 */
interface Property extends HasName
{
    /**
     * Applies given property as new parent for this property.
     *
     * @param Property $parent
     */
    public function applyParent(Property $parent) : void;
    
    
    /**
     * Returns the properties node path.
     * Node path means the property name including parent prop names.
     *
     * @param string $glue
     *
     * @return string
     */
    public function nodePath(string $glue = ' -> ') : string;
    
    
    /**
     * @return bool
     */
    public function isNullable() : bool;
}