<?php
/* --------------------------------------------------------------
 AbstractReference.php 2019-07-04
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2019 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

declare(strict_types=1);

namespace Gambio\Dragger\Domain\Testing\Api\Model\Reference;

use Gambio\Dragger\Domain\Testing\Api\Model\Contracts\Reference;
use Webmozart\Assert\Assert;

/**
 * Class AbstractReference
 *
 * @package Gambio\Dragger\Domain\Testing\Api\Model\Reference
 */
abstract class AbstractReference implements Reference
{
    private const DEFINITION_PREFIX = '#/definitions/';
    
    /**
     * @var string
     */
    protected $reference;
    
    
    /**
     * AbstractReference constructor.
     *
     * @param string $reference
     */
    protected function __construct(string $reference)
    {
        Assert::startsWith($reference, self::DEFINITION_PREFIX);
        $this->reference = $reference;
    }
    
    
    /**
     * @return string
     */
    public function reference() : string
    {
        return $this->reference;
    }
}