<?php
/* --------------------------------------------------------------
 SchemaListReference.php 2019-07-04
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2019 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

declare(strict_types=1);

namespace Gambio\Dragger\Domain\Testing\Api\Model\Reference;

use Gambio\Dragger\Domain\Testing\Api\Model\Contracts\SchemaReference;
use Webmozart\Assert\Assert;

/**
 * Class SchemaListReference
 *
 * @package Gambio\Dragger\Domain\Testing\Api\Model\Schema
 */
class SchemaListReference extends AbstractReference implements SchemaReference
{
    /**
     * Factory method for SchemaList.
     *
     * @param array $data
     *
     * @return SchemaListReference
     */
    public static function fromArray(array $data) : self
    {
        Assert::keyExists($data, 'items');
        $items = $data['items'];
        Assert::isArray($items);
        Assert::keyExists($items, '$ref');
        $value = $items['$ref'];
        Assert::string($value);
        
        return new static($value);
    }
}