<?php
/* --------------------------------------------------------------
 SchemaReference.php 2019-07-04
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2019 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

declare(strict_types=1);

namespace Gambio\Dragger\Domain\Testing\Api\Model\Reference;

use Gambio\Dragger\Domain\Testing\Api\Model\Contracts\SchemaReference as Reference;
use Webmozart\Assert\Assert;

/**
 * Class SchemaReference
 *
 * @package Gambio\Dragger\Domain\Testing\Api\Model\Schema
 */
class SchemaReference extends AbstractReference implements Reference
{
    /**
     * Factory method for SchemaReference.
     *
     * @param array $data
     *
     * @return SchemaReference
     */
    public static function fromArray(array $data) : self
    {
        Assert::keyExists($data, '$ref');
        $value = $data['$ref'];
        Assert::string($value);
        
        return new static($value);
    }
}