<?php
/* --------------------------------------------------------------
 SchemaList.php 2019-07-04
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2019 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

declare(strict_types=1);

namespace Gambio\Dragger\Domain\Testing\Api\Model\Schema;

/**
 * Class SchemaList
 *
 * @package Gambio\Dragger\Domain\Testing\Api\Model\Schema
 */
class SchemaList implements \Gambio\Dragger\Domain\Testing\Api\Model\Contracts\SchemaList
{
    /**
     * @var string
     */
    private $title;
    
    /**
     * @var Schema
     */
    private $items;
    
    
    /**
     * SchemaList constructor.
     *
     * @param string $title
     * @param Schema $items
     */
    private function __construct(string $title, Schema $items)
    {
        $this->title = $title;
        $this->items = $items;
    }
    
    
    /**
     * Factory method for schema list.
     *
     * @param string $title
     * @param Schema $items
     *
     * @return SchemaList
     */
    public static function create(string $title, Schema $items) : self
    {
        return new static($title, $items);
    }
    
    
    /**
     * @return string
     */
    public function name() : string
    {
        return $this->title;
    }
    
    
    /**
     * @return Schema
     */
    public function items() : Schema
    {
        return $this->items;
    }
}