<?php
/* --------------------------------------------------------------
 Expectations.php 2019-09-02
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2019 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

declare(strict_types=1);

namespace Gambio\Dragger\Domain\Testing\Api\Verification\Put;

/**
 * Class Expectations
 * @package Gambio\Dragger\Domain\Testing\Api\Verification\Put
 */
class Expectations
{
    /**
     * @var Expect[]
     */
    private $changed;
    
    
    /**
     * Expectations constructor.
     */
    private function __construct()
    {
    }
    
    
    /**
     * Factory method for expectations.
     *
     * @return Expectations
     */
    public static function create() : self
    {
        return new static();
    }
    
    
    /**
     * Adds new expectations.
     *
     * @param Expect[] $expectations
     */
    public function add(Expect ...$expectations) : void
    {
        foreach ($expectations as $expect) {
            if ($expect->is(Expect::TYPE_CHANGED)) {
                $this->changed[] = $expect;
            }
        }
    }
    
    
    /**
     * @return Expect[]
     */
    public function changed() : array
    {
        return $this->changed;
    }
}