<?php
/* --------------------------------------------------------------
 PutAffectedIds.php 2019-08-21
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2019 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

declare(strict_types=1);

namespace Gambio\Dragger\Domain\Testing\Api\Verification\Put;

/**
 * Class PutAffectedIds
 * @package Gambio\Dragger\Domain\Testing\Api\Verification\Put
 */
class PutAffectedIds
{
    /**
     * @var string
     */
    private $bodyIdentifier;
    
    /**
     * @var array
     */
    private $ids;
    
    
    /**
     * PutAffectedIds constructor.
     *
     * @param string $bodyIdentifier
     * @param array  $ids
     */
    private function __construct(string $bodyIdentifier, array $ids)
    {
        $this->bodyIdentifier = $bodyIdentifier;
        $this->ids            = $ids;
    }
    
    
    /**
     * Factory method for PutAffectedIds.
     *
     * @param string $bodyIdentifier
     * @param mixed  ...$ids
     *
     * @return PutAffectedIds
     */
    public static function create(string $bodyIdentifier, ...$ids) : self
    {
        return new static($bodyIdentifier, $ids);
    }
    
    
    /**
     * @return string
     */
    public function bodyIdentifier() : string
    {
        return $this->bodyIdentifier;
    }
    
    
    /**
     * @return array
     */
    public function ids() : array
    {
        return $this->ids;
    }
}