<?php
/* --------------------------------------------------------------
 TableDataProcessor.php 2019-06-07
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2019 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

declare(strict_types=1);

namespace Gambio\Dragger\Infrastructure\Persistence\DbFixture;

/**
 * Class TableDataProcessor
 * @package Gambio\Dragger\Infrastructure\Persistence\DbFixture
 */
class TableDataProcessor
{
    private const TAB_STRING    = '    ';
    private const TAB_X2_STRING = self::TAB_STRING . self::TAB_STRING;
    private const TAB_X3_STRING = self::TAB_STRING . self::TAB_STRING . self::TAB_STRING;
    
    
    /**
     * Creates content for a database fixture.
     *
     * @param array $data
     *
     * @return string
     */
    public function createContent(array $data) : string
    {
        $newLine = "\n";
        
        $fixture = "return [{$newLine}";
        
        foreach ($data as $table => $tableData) {
            
            $fixture       .= self::TAB_STRING . "'$table' => [{$newLine}";
            $dataSetString = '';
            
            foreach ($tableData as $dataSet) {
                
                $line = self::TAB_X2_STRING . "[{$newLine}";
                
                foreach ($dataSet as $field => $value) {
                    
                    $value = str_replace("'", "\'", $value);
                    $line  .= self::TAB_X3_STRING . "'$field' => '$value',{$newLine}";
                }
                $line = rtrim($line, ",{$newLine}") . $newLine;
                $line .= self::TAB_X2_STRING . "],{$newLine}";
                
                $dataSetString .= $line;
            }
            $dataSetString = rtrim($dataSetString, ",{$newLine}") . $newLine;
            $fixture       .= $dataSetString;
            
            $fixture .= self::TAB_STRING . "],{$newLine}";
        }
        
        return rtrim($fixture, ",{$newLine}") . "{$newLine}];";
    }
}