<?php
/* --------------------------------------------------------------
 GxTestConfigurationTest.php 2019-06-14
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2019 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

declare(strict_types=1);

namespace Gambio\Dragger\Domain\Commands\GxTestConfiguration;

use Gambio\Dragger\Contracts\Configuration\DbCredentials;
use PHPUnit\Framework\TestCase;

class GxTestConfigurationTest extends TestCase
{
    public function testContainsAllInformationToCreateGxShopTestConfig() : void
    {
        $url        = 'http://localhost';
        $admin      = 'admin@shop.de';
        $password   = '12345';
        $dbHost     = 'db_host';
        $dbUser     = 'db_user';
        $dbPassword = 'db_password';
        $dbName     = 'db_name';
        
        $dbCredentials = $this->createConfiguredMock(
            DbCredentials::class, [
                                    'dbHost'     => $dbHost,
                                    'dbUser'     => $dbUser,
                                    'dbPassword' => $dbPassword,
                                    'dbName'     => $dbName,
                                ]
        );
        
        $configuration = GxTestConfiguration::create(
            $url, $admin, $password, $dbCredentials
        );
        
        $result = $configuration->url() === $url;
        $result = $result && $configuration->admin() === $admin;
        $result = $result && $configuration->password() === $password;
        $result = $result && $configuration->dbHost() === $dbHost;
        $result = $result && $configuration->dbUser() === $dbUser;
        $result = $result && $configuration->dbPassword() === $dbPassword;
        $result = $result && $configuration->dbName() === $dbName;
        
        $this->assertTrue($result);
    }
}