<?php
/* --------------------------------------------------------------
 SqlFileCollectionTest.php 2019-06-13
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2019 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

declare(strict_types=1);

namespace Gambio\Dragger\Domain\Commands\Sql;

use PHPUnit\Framework\TestCase;

class SqlFileCollectionTest extends TestCase
{
    public function testCollectsAListOfSqlFiles() : void
    {
        $firstItem  = $this->createMock(SqlFile::class);
        $secondItem = $this->createMock(SqlFile::class);
        $items      = [$firstItem, $secondItem];
        $collection = SqlFileCollection::create();
        
        $collection->add($firstItem);
        $collection->add($secondItem);
        
        $actual = [];
        foreach ($collection as $collectionItem) {
            $actual[] = $collectionItem;
        }
        
        $this->assertSame($items, $actual);
    }
}