<?php
/* --------------------------------------------------------------
 SqlFileTest.php 2019-06-13
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2019 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

declare(strict_types=1);

namespace Gambio\Dragger\Domain\Commands\Sql;

use InvalidArgumentException;
use PHPUnit\Framework\TestCase;

class SqlFileTest extends TestCase
{
    public function testExposesAnSqlFile() : void
    {
        $path = __DIR__ . '/users.sql';
        $this->assertEquals($path, SqlFile::fromPath($path)->toString());
    }
    
    
    public function testThrowsExceptionIfFileNotExists() : void
    {
        $this->expectException(InvalidArgumentException::class);
        SqlFile::fromPath(__DIR__ . '/not-exists.sql');
    }
    
    
    public function testThrowsExceptionIfFileExtensionNotMatchSql() : void
    {
        $this->expectException(InvalidArgumentException::class);
        SqlFile::fromPath(__FILE__);
    }
}