<?php
/* --------------------------------------------------------------
 NewFixtureTest.php 2019-06-07
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2019 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

declare(strict_types=1);

namespace Gambio\Dragger\Domain\DbFixture;

use PHPUnit\Framework\TestCase;

class NewFixtureTest extends TestCase
{
    public const EXPECTED_CONTENT = <<<'CONTENT'
<?php

return [
    'products' => [
        [
            'name' => 'Test Article'
        ]
    ]
];
CONTENT;
    
    
    public const CONTENT_PARAM = <<<'CONTENT'
return [
    'products' => [
        [
            'name' => 'Test Article'
        ]
    ]
];
CONTENT;
    
    
    public function testHasAccessibleContent() : void
    {
        $fixture = NewFixture::fromString(self::CONTENT_PARAM);
        $this->assertEquals(self::EXPECTED_CONTENT, $fixture->content());
    }
}