<?php
/* --------------------------------------------------------------
 TablesTest.php 2019-06-07
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2019 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

declare(strict_types=1);

namespace Gambio\Dragger\Domain\DbFixture;

use InvalidArgumentException;
use PHPUnit\Framework\TestCase;

class TablesTest extends TestCase
{
    public function testAccessibleTableNames() : void
    {
        $expected = ['products', 'categories'];
        $tables   = Tables::fromList('products', 'categories');
        
        $this->assertEquals($expected, $tables->list());
    }
    
    
    public function testMustNotBeEmpty() : void
    {
        $this->expectException(InvalidArgumentException::class);
        Tables::fromList();
    }
}