<?php
/* --------------------------------------------------------------
 TestConfigurationTest.php 2019-08-15
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2019 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

declare(strict_types=1);

namespace Gambio\Dragger\Domain\Testing\Api\Configuration;

use PHPUnit\Framework\TestCase;

class TestConfigurationTest extends TestCase
{
    /**
     * @var TestConfiguration
     */
    private $config;
    
    /**
     * @var string
     */
    private $initialFixture;
    
    /**
     * @var string
     */
    private $sutFile;
    
    /**
     * @var array
     */
    private $urlPlaceholders;
    
    
    protected function setUp()
    {
        $this->initialFixture  = __FILE__;
        $this->sutFile         = __FILE__;
        $this->urlPlaceholders = ['foo' => 'bar'];
        
        $this->config = TestConfiguration::create($this->sutFile, $this->urlPlaceholders, $this->initialFixture);
    }
    
    
    public function testInitialFixture() : void
    {
        $this->assertEquals($this->initialFixture, $this->config->initialFixture());
    }
    
    
    public function testSutFile() : void
    {
        $this->assertEquals($this->sutFile, $this->config->sutFile());
    }
    
    
    public function testUrlPlaceholders() : void
    {
        $this->assertEquals($this->urlPlaceholders, $this->config->urlPlaceholders());
    }
}
