<?php
/* --------------------------------------------------------------
 PropertyReferenceTest.php 2019-07-04
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2019 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

declare(strict_types=1);

namespace Gambio\Dragger\Domain\Testing\Api\Model\Reference;

use InvalidArgumentException;
use PHPUnit\Framework\TestCase;

class PropertyReferenceTest extends TestCase
{
    public function testHoldsReferenceToSchemaFile() : void
    {
        $reference = '#/definitions/GXCategory';
        $data      = [
            '$ref' => $reference
        ];
        $schema    = PropertyReference::fromArray($data);
        $this->assertEquals($reference, $schema->reference());
    }
    
    
    public function testRejectsInvalidData()
    {
        $this->expectException(InvalidArgumentException::class);
        PropertyReference::fromArray(['invalid']);
    }
    
    
    public function testRejectsInvalidReference()
    {
        $this->expectException(InvalidArgumentException::class);
        PropertyReference::fromArray(['$ref' => 'invalid']);
    }
}