<?php
/* --------------------------------------------------------------
 SchemaListTest.php 2019-07-04
 Gambio GmbH
 http://www.gambio.de
 Copyright (c) 2019 Gambio GmbH
 Released under the GNU General Public License (Version 2)
 [http://www.gnu.org/licenses/gpl-2.0.html]
 --------------------------------------------------------------
 */

declare(strict_types=1);

namespace Gambio\Dragger\Domain\Testing\Api\Model\Schema;

use Faker\Factory;
use PHPUnit\Framework\MockObject\MockObject;
use PHPUnit\Framework\TestCase;

class SchemaListTest extends TestCase
{
    /**
     * @var SchemaList
     */
    private $schemaList;
    
    /**
     * @var string
     */
    private $title;
    
    /**
     * @var MockObject
     */
    private $items;
    
    
    protected function setUp()
    {
        $faker = Factory::create('de_DE');
        
        $this->title = $faker->word;
        $this->items = $this->createMock(Schema::class);
        
        $this->schemaList = SchemaList::create($this->title, $this->items);
    }
    
    
    public function testHasTitle() : void
    {
        $this->assertEquals($this->title, $this->schemaList->name());
    }
    
    
    public function testHasItems() : void
    {
        $this->assertSame($this->items, $this->schemaList->items());
    }
}